//FirstView Component Constructor
	function FirstView() {

		var self = Ti.UI.createView();

		var MapModule = require('ti.map');

		var map1 = MapModule.createView({
			//annotations: anns, 
			userLocation : false,
			mapType : MapModule.NORMAL_TYPE,
			animate : true,
			region : {
				latitude : 37.941,
				longitude : -122.507,
				latitudeDelta : 0.1,
				longitudeDelta : 0.1
			}, //Larkspur
			height : '40%',
			top : 0,
			left : 0,
			width : '100%'
		});

		var anno1 = MapModule.createAnnotation({
			latitude : 37.941,
			longitude : -122.507,
			title : "Anno1",
			subtitle : "Ann1 subtitle",
			animate : true,
			id : 33,
			image : '/mbanking/images/Locations-Pin-Android-red-hdpi.png',
			rightButton : '/images/locations-android-popover-arrow.png',
		});
		// anno1.rightButton.height = 44;
		// anno1.rightButton.width = 46;

		var anno2 = MapModule.createAnnotation({
			latitude : 37.700,
			longitude : -123.807,
			title : "Anno2",
			subtitle : "Ann2 subtitle",
			animate : true,
			id : 43,
			image : '/mbanking/images/Locations-Pin-Android-red-hdpi.png',
			rightButton : '/images/locations-android-popover-arrow.png',
		});
		// anno2.rightButton.height = 44;
		// anno2.rightButton.width = 46;

		var anno3 = MapModule.createAnnotation({
			latitude : 37.500,
			longitude : -121.307,
			title : "Anno3",
			subtitle : "Ann3 subtitle",
			animate : true,
			id : 45,
			image : '/mbanking/images/Locations-Pin-Android-red-hdpi.png',
			rightButton : '/images/locations-android-popover-arrow.png',
		});
		// anno3.rightButton.height = 44;
		// anno3.rightButton.width = 46;

		var anns = [];
		anns.push(anno1);
		anns.push(anno2);
		anns.push(anno3);
		map1.addAnnotations(anns);
		
		self.add(map1);
		
		map1.addEventListener('click', function(e) {
    		var alert = Ti.UI.createAlertDialog({
        title : 'Clicked!',
        message : 'e: ' + e});
        alert.show();
});

		return self;
	}


	module.exports = FirstView; 
